CRM / Pipeline / REST API

List crm tasks

Read canonical tasks. Default 50, max 100. Follow nextCursor for more.

GET /api/crm/tasksDeterministic operation

Parameters

workspaceIdOptional · string
See the input schema for this field.
prospectIdOptional · string
See the input schema for this field.
statusOptional · string
See the input schema for this field.pending · done
dueOptional · string
See the input schema for this field.overdue · upcoming · undated
cursorOptional · string
See the input schema for this field.
limitOptional · number
See the input schema for this field.
Request example
curl -X GET "https://app.pipeline.help/api/crm/tasks" \
  -H "Authorization: Bearer $PIPELINE_API_KEY"
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string"
    },
    "prospectId": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "pending",
        "done"
      ]
    },
    "due": {
      "type": "string",
      "enum": [
        "overdue",
        "upcoming",
        "undated"
      ]
    },
    "cursor": {
      "type": "string"
    },
    "limit": {
      "type": "number"
    }
  },
  "required": []
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview